跳转到主要内容
GET
/
v3
/
enterprise
/
members
/
idp-users
列出 IDP 组用户
curl --request GET \
  --url https://api.devin.ai/v3/enterprise/members/idp-users \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "email": "<string>",
      "idp_role_assignments": [
        {
          "idp_group_name": "<string>",
          "role": {
            "role_id": "<string>",
            "role_name": "<string>",
            "role_type": "enterprise"
          },
          "org_id": "<string>"
        }
      ],
      "name": "<string>",
      "user_id": "<string>"
    }
  ],
  "end_cursor": "<string>",
  "has_next_page": false,
  "total": 123
}
此端点列出 Enterprise 中成员资格源自 IDP 组分配的用户。它仅返回通过 IDP 组成员资格继承角色的用户,不包括具有直接角色分配的用户。如果你要查找具有直接角色分配的用户,请改用列出用户端点。

权限

需要具备企业级 ViewAccountMembership 权限的服务用户。

授权

Authorization
string
header
必填

服务用户凭据(前缀:cog_)

查询参数

after
string | null
first
integer
默认值:100
必填范围: 1 <= x <= 200
email
string | null

按精确电子邮件地址筛选

响应

成功响应

items
IdpGroupUser · object[]
必填
end_cursor
string | null

用于获取下一页的游标;如果这是最后一页,则为 None。

has_next_page
boolean
默认值:false

此页之后是否还有更多条目。

total
integer | null

可选的总数(出于性能考虑可省略)。